﻿using System;
using System.Collections.Generic;
using System.Text;
using HeuristicLab.PluginInfrastructure;

namespace HeuristicLab.DynamicAssemblyTestApp {

  [Plugin("HeuristicLab.DynamicAssemblyTestApp", "1.0")]
  [PluginFile("HeuristicLab.DynamicAssemblyTestApp.dll", PluginFileType.Assembly)]
  [PluginDependency("HeuristicLab.Algorithms.GeneticAlgorithm", "3.3")]
  [PluginDependency("HeuristicLab.Algorithms.ALPS", "3.3")]
  [PluginDependency("HeuristicLab.Algorithms.ParticleSwarmOptimization", "3.3")]
  [PluginDependency("HeuristicLab.Algorithms.EvolutionStrategy", "3.3")]
  [PluginDependency("HeuristicLab.Algorithms.TabuSearch", "3.3")]
  [PluginDependency("HeuristicLab.Algorithms.LocalSearch", "3.3")]
  [PluginDependency("HeuristicLab.Problems.TravelingSalesman", "3.3")]
  [PluginDependency("HeuristicLab.Problems.Knapsack", "3.3")]
  [PluginDependency("HeuristicLab.SequentialEngine", "3.3")]
  public class DynamicAssemblyTestPlugin : PluginBase { }
}
